using System.ComponentModel.DataAnnotations;

namespace Core.Entities;

public class Patient
{
    public Patient()
    {
        Id = Guid.NewGuid();
    }

    [Key] public Guid Id { get; private set; }

    public string? Name { get; private set; }
    public string? Email { get; private set; }
    public string? Password { get; private set; }

    public void SetName(string name)
    {
        Name = name;
    }

    public void SetEmail(string email)
    {
        Email = email;
    }

    public void SetPassword(string password)
    {
        Password = password;
    }
}